from typing import Protocol
from roboquant.account import Account
from roboquant.event import Event
from roboquant.order import Order


class Trader(Protocol):
    """A trader generates the orders, typically based on ratings it receives from a strategy.

    But it is also possible to implement all logic in a Trader and don't rely on ratings generated by a strategy at all.
    """

    def create_orders(self, ratings: dict[str, float], event: Event, account: Account) -> list[Order]:
        """Create zero or more orders."""
        ...
